const staticRouter: AppCustomRouteRecordRaw[] = [
  {
    icon: 'ep:calendar',
    path: '/Okr',
    component: '',
    name: 'OKR',
    componentName: '',
    redirect: '',
    parentId: 0,
    visible: true,
    alwaysShow: true,
    children: [
      {
        icon: 'ep:finished',
        path: 'okr-management',
        name: 'OKR管理',
        componentName: 'OkrManagement',
        component: 'OKR/Management/index',
        visible: true,
        alwaysShow: true,
        meta: {
          title: 'OKR管理'
        },
        redirect: ''
      },
      {
        icon: 'ep:alarm-clock',
        path: 'okr-wait',
        name: '待办事项',
        componentName: 'OkrWait',
        component: 'OKR/Wait/index',
        meta: {
          title: '待办事项'
        },
        visible: true,
        alwaysShow: true,
        redirect: ''
      },
      {
        icon: 'ep:data-line',
        path: 'okr-analysis',
        name: 'OKR统计',
        componentName: 'OkrAnalysis',
        component: 'OKR/Analysis/index',
        meta: {
          title: 'OKR统计'
        },
        visible: true,
        alwaysShow: true,
        redirect: ''
      },
      {
        icon: 'ep:data-board',
        path: 'okr-meeting',
        name: '会议管理',
        componentName: 'OkrMeeting',
        component: 'OKR/Meeting/index',
        meta: {
          title: '会议管理'
        },
        visible: true,
        alwaysShow: true,
        redirect: ''
      },
      {
        icon: 'ep:data-board',
        path: 'okr-meeting-info/:id',
        name: '会议详情',
        componentName: 'MeetingInfo',
        component: 'OKR/Meeting/MeetingInfo',
        meta: {
          title: '会议详情'
        },
        visible: false,
        alwaysShow: true,
        redirect: '',
        keepAlive: true
      }
    ],
    meta: {
      title: 'OKR',
      icon: 'ep:calendar'
    }
  }
]

export default staticRouter
